Bug 1027310 - Option -B still generates passwords with confusing characters
Option -B still generates passwords with confusing characters
Status: MODIFIED
Product: Fedora EPEL
Classification: Fedora
Component: pwgen (Show other bugs)
el6
All Linux
unspecified Severity high
: ---
: ---
Assigned To: jbowes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 09:21 EST by Robert Scheck
Modified: 2017-04-13 22:05 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2013-11-06 09:21:48 EST
Description of problem:
According to the man page the option -B should not generate passwords with
confusing characters such as "l" and "1", or "0" or "O". However there are
still confusing characters included when using it:

$ pwgen -B -c -n 10 100 | grep -E "(l|I|1|0|O)"
aiyai7Iini
IeFumee9Oo
deiy9Ietoe
Oobu3theix
cheezoQu7I
Oophe7ephe
Ic9ahd3if3
thi7doh9Oh
$

Depending on the font the users are not really able to distinguish if one of
the characters in question is a "l", "I", "1", "0" or "O". Can we please get
this proper fixed?

Version-Release number of selected component (if applicable):
pwgen-2.06-5.el6.x86_64

How reproducible:
pwgen -B -c -n 10 100 | grep -E "(l|I|1|0|O)"

Actual results:
Option -B still generates passwords with confusing characters.

Expected results:
Option -B should not generate passwords with confusing characters.
Comment 1 Sebastian 2013-11-06 11:23:09 EST
Additional information:

When using
pwgen -B
pwgen -B -c

the above issue does not occur. Obviously the combined usage of -B and -n is the actual problem.
Comment 2 Orion Poplawski 2014-12-05 13:10:21 EST
Is https://admin.fedoraproject.org/updates/pwgen-2.07-1.el6 any beter?
Comment 3 Steven W. Elling 2017-04-13 22:05:09 EDT
pwgen-2.07-3 isn't any better.  And, the '-v' option does not work as I would expect either.


~ $> pwgen -Bs 10 10 | grep '[1lI0O]'
20YM0BTfzu
2axYWc1Mrs
9wKgbW1vaX
sQQr1xxcAL
sVMyo0XMxF
HEBOgCJ4BZ
MMzOJ0HAP8
6YJU1V536b

~ $> pwgen -By 10 1000 | grep '[1lI0O]'

~ $> pwgen -vs 10 10 | grep '[10aeiou]'
qiORlRLc6G
jKPhQG8tL1
qH5GZk1rwT
L5eH3pxoWn
VnvR89Tp0D
O6pjnIVIiX
3De4GBtgqf

~ $> pwgen -vy 10 1000 | grep '[10aeiou]'

~ $> rpm -qa pwgen
pwgen-2.07-3.fc24.x86_64

~$> dnf info pwgen
Last metadata expiration check: 0:01:16 ago on Thu Apr 13 20:39:59 2017.
Installed Packages
Name        : pwgen
Arch        : x86_64
Epoch       : 0
Version     : 2.07
Release     : 3.fc24
Size        : 41 k
Repo        : @System
From repo   : @commandline

Note You need to log in before you can comment on or make changes to this bug.